@font-face{
  font-family: 'Chrono';
  src: url('assets/chrono.ttf') format('truetype');
}
:root {
  --card-width: calc(55px * 3 * 2);
  --card-height: calc(72px * 3 * 2);
  --perspective: 2000px;

  --color1: #ec9bb6;
  --color2: #ccac6f;
  --color3: #69e4a5;
  --color4: #8ec5d6;
  --color5: #b98cce;
}

.card {
  width: var(--card-width);
  height: var(--card-height);
  position: relative;
  box-sizing: border-box;
  margin: 50px 50px;
  padding: 20px;
  z-index: 10;
  touch-action: none;
  box-shadow: 0 55px 35px -20px rgba(0, 0, 0, 0.5);
  transition: transform 0.5s ease, box-shadow 0.2s ease;
  will-change: transform, filter;
  transform-origin: center;
}
.card img {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: perspective(var(--perspective)) translateY(-50%) translateX(-50%);
  transform-origin: center;
  z-index: 5;

  width: calc(var(--card-width) * 1.5);
}

.card:hover {
  box-shadow: -20px -20px 30px -25px var(--color1), 20px 20px 30px -25px var(--color2), -7px -7px 10px -5px var(--color1), 7px 7px 10px -5px var(--color2), 0 0 13px 4px rgba(255, 255, 255, 0.3), 0 55px 35px -20px rgba(0, 0, 0, 0.5);
}

.card:before,
.card:after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
  background-repeat: no-repeat;
  opacity: 0.5;
  mix-blend-mode: color-dodge;
  transition: all 0.33s ease;
}

.card .background {
  position: absolute;
  left: 5px;
  right: 5px;
  bottom: 5px;
  top: 5px;
  opacity: 1;
  background-position: 50% 50%;
  background-size: 155% 155%;
  transition: all 0.33s ease;
}
.card:hover .background {
  transition: none;
}


.card:before {
  background-position: 50% 50%;
  background-size: 300% 300%;
  background-image: linear-gradient(115deg, transparent 0%, var(--color1) 25%, transparent 47%, transparent 53%, var(--color2) 75%, transparent 100%);
  opacity: 0.5;
  filter: brightness(0.5) contrast(1);
  z-index: 1;
}

.card:after {
  opacity: 1;
  background-image: url(assets/sparkles.gif), linear-gradient(125deg, #ff008450 15%, #fca40040 30%, #ffff0030 40%, #00ff8a20 60%, #00cfff40 70%, #cc4cfa50 85%);
  background-position: 50% 50%;
  background-size: 160%;
  background-blend-mode: overlay;
  z-index: 2;
  filter: brightness(1) contrast(1);
  transition: all 0.33s ease;
  mix-blend-mode: color-dodge;
  opacity: 0.25;
}

.card.active:after,
.card:hover:after {
  filter: brightness(1) contrast(1);
  opacity: 1;
}

.card.active,
.card:hover {
  animation: none;
  transition: box-shadow 0.1s ease-out;
}

.card.active:before,
.card:hover:before {
  animation: none;
  background-image: linear-gradient(115deg, transparent 20%, var(--color1) 36%, var(--color2) 43%, var(--color3) 50%, var(--color4) 57%, var(--color5) 64%, transparent 80%);
  background-position: 50% 50%;
  background-size: 250% 250%;
  opacity: 0.88;
  filter: brightness(0.6) contrast(1.33);
  transition: none;
}

.card.active:before,
.card:hover:before,
.card.active:after,
.card:hover:after {
  animation: none;
  transition: none;
}

.card.animated {
  transition: none;
  animation: holoCard 12s ease 0s 1;
}
.card.animated:before {
  transition: none;
  animation: holoGradient 12s ease 0s 1;
}
.card.animated:after {
  transition: none;
  animation: holoSparkle 12s ease 0s 1;
}

@keyframes holoSparkle {
  0%, 100% {
    opacity: 0.75;
    background-position: 50% 50%;
    filter: brightness(1.2) contrast(1.25);
  }
  5%, 8% {
    opacity: 1;
    background-position: 40% 40%;
    filter: brightness(0.8) contrast(1.2);
  }
  13%, 16% {
    opacity: 0.5;
    background-position: 50% 50%;
    filter: brightness(1.2) contrast(0.8);
  }
  35%, 38% {
    opacity: 1;
    background-position: 60% 60%;
    filter: brightness(1) contrast(1);
  }
  55% {
    opacity: 0.33;
    background-position: 45% 45%;
    filter: brightness(1.2) contrast(1.25);
  }
}
@keyframes holoGradient {
  0%, 100% {
    opacity: 0.5;
    background-position: 50% 50%;
    filter: brightness(0.5) contrast(1);
  }
  5%, 9% {
    background-position: 100% 100%;
    opacity: 1;
    filter: brightness(0.75) contrast(1.25);
  }
  13%, 17% {
    background-position: 0% 0%;
    opacity: 0.88;
  }
  35%, 39% {
    background-position: 100% 100%;
    opacity: 1;
    filter: brightness(0.5) contrast(1);
  }
  55% {
    background-position: 0% 0%;
    opacity: 1;
    filter: brightness(0.75) contrast(1.25);
  }
}
@keyframes holoCard {
  0%, 100% {
    transform: perspective(var(--perspective)) rotateZ(0deg) rotateX(0deg) rotateY(0deg);
  }
  5%, 8% {
    transform: perspective(var(--perspective)) rotateZ(0deg) rotateX(6deg) rotateY(-20deg);
  }
  13%, 16% {
    transform: perspective(var(--perspective)) rotateZ(0deg) rotateX(-9deg) rotateY(32deg);
  }
  35%, 38% {
    transform: perspective(var(--perspective)) rotateZ(3deg) rotateX(12deg) rotateY(20deg);
  }
  55% {
    transform: perspective(var(--perspective)) rotateZ(-3deg) rotateX(-12deg) rotateY(-27deg);
  }
}

html, body {
  height: 100%;
  background-color: #333844;
  padding: 0;
  z-index: 1;
}

body {
  color: white;
  background-color: #333844;
  font-family: "Heebo", sans-serif;
  text-align: center;
}

h1, h2 {
  font-family: 'Chrono';
  text-shadow: 0px 0.25em 0.1em #000;
}
h1 {
  font-size: 3em;
  margin: 30px 0;
}

p {
  margin-top: 5px;
  font-weight: 200;
}

#app {
  position: relative;
}

.cards {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  position: relative;
  z-index: 1;
  flex-wrap: wrap;
}


@media screen and (min-width: 500px) {
  .cards {
    flex-direction: row;
  }
}
.cards .card:nth-child(2), .cards .card:nth-child(2):before, .cards .card:nth-child(2):after {
  -webkit-animation-delay: 0.25s;
          animation-delay: 0.25s;
}
.cards .card:nth-child(3), .cards .card:nth-child(3):before, .cards .card:nth-child(3):after {
  -webkit-animation-delay: 0.5s;
          animation-delay: 0.5s;
}
.cards .card:nth-child(4), .cards .card:nth-child(4):before, .cards .card:nth-child(4):after {
  -webkit-animation-delay: 0.75s;
          animation-delay: 0.75s;
}

html, body, main {
  min-height: 100%;
}

